using System;
using System.IO;
using System.Text;

namespace SampleConvert
{
	class Class1
	{
		static void Main(string[] args)
		{
			SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();
			string AppPath=System.Environment.CurrentDirectory;

			//specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_5;
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8;

			//specify image options
			r.ImageStyle.ImageFolder = AppPath;			//this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files";	//this folder will be created by the component
			r.ImageStyle.ImageFileName = "img";			//template name for images
			r.ImageStyle.IncludeImageInHtml = false;	//false - save images on HDD, true - save images inside HTML


			string rtfFile = Path.GetFullPath(@"..\..\..\..\..\..\test.rtf");
			string htmlFile = Path.Combine(AppPath,"test.html"); //the result will be located in the same folder as binary
			string rtfString = null;

			ReadFromFile(rtfFile,ref rtfString);

			int i = r.ConvertStringToFile(rtfString,htmlFile);
			if (i == 0)
			{
				System.Console.WriteLine("Converted successfully!");
				System.Diagnostics.Process.Start(htmlFile);
			}
			else
				System.Console.WriteLine("Conversion failed!");
		}

		public static int ReadFromFile(string fileName,ref string fileStr)
		{
			try
			{
				FileInfo fi = new FileInfo(fileName);
				StreamReader strmRead = fi.OpenText();
				fileStr = strmRead.ReadToEnd();
				strmRead.Close();
				return 0;
			}
			catch 
			{
				//error open file
				System.Console.WriteLine("Error in open file");
				return 1;
			}
		}
	}
}
